POST api/contractItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ContractItemViewModel
NameDescriptionTypeAdditional information
item_descriptions

Dictionary of string [key] and string [value]

None.

item_code

string

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "item_code": "sample string 1",
  "selected_sticker_id": "71e5fe61-3550-4248-9be1-d1edbf2ebb00",
  "selected_nameplate_id": "e4e24d16-3946-4be7-bfae-be059ef26fb8",
  "active": true,
  "contract_id": "29c2fc34-b167-45f7-9bea-6a9bdd93b379",
  "id": "62c6aee0-8f39-4a83-92b5-f0b6d0715418",
  "physical_item_id": "f3f0d41c-dd44-4744-9610-85831be06c8c",
  "service_item_id": "b6eb3961-3752-4bf3-82c5-16e569d78e69",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <contract_id>29c2fc34-b167-45f7-9bea-6a9bdd93b379</contract_id>
  <id>62c6aee0-8f39-4a83-92b5-f0b6d0715418</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>f3f0d41c-dd44-4744-9610-85831be06c8c</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>b6eb3961-3752-4bf3-82c5-16e569d78e69</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>e4e24d16-3946-4be7-bfae-be059ef26fb8</selected_nameplate_id>
  <selected_sticker_id>71e5fe61-3550-4248-9be1-d1edbf2ebb00</selected_sticker_id>
</contract_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"3397d3c8-124e-4073-bd9f-82f21028a4cf"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3397d3c8-124e-4073-bd9f-82f21028a4cf</guid>